## chromium 126.0.6478.56

=== debian/changelog ===
chromium (126.0.6478.56-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2024-5830: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2024-5831: Use after free in Dawn. Reported by wgslfuzz.
    - CVE-2024-5832: Use after free in Dawn. Reported by wgslfuzz.
    - CVE-2024-5833: Type Confusion in V8. Reported by @ginggilBesel.
    - CVE-2024-5834: Inappropriate implementation in Dawn.
      Reported by gelatin dessert.
    - CVE-2024-5835: Heap buffer overflow in Tab Groups.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2024-5836: Inappropriate Implementation in DevTools.
      Reported by Allen Ding.
    - CVE-2024-5837: Type Confusion in V8. Reported by Anonymous.
    - CVE-2024-5838: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2024-5839: Inappropriate Implementation in Memory Allocator.
      Reported by Mickey.
    - CVE-2024-5840: Policy Bypass in CORS. Reported by Matt Howard.
    - CVE-2024-5841: Use after free in V8.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-5842: Use after free in Browser UI.
      Reported by Sven Dysthe (@svn_dy).
    - CVE-2024-5843: Inappropriate implementation in Downloads.
      Reported by hjy79425575.
    - CVE-2024-5844: Heap buffer overflow in Tab Strip. Reported by Sri.
    - CVE-2024-5845: Use after free in Audio. Reported by anonymous.
    - CVE-2024-5846: Use after free in PDFium.
      Reported by Han Zheng (HexHive).
    - CVE-2024-5847: Use after free in PDFium.
      Reported by Han Zheng (HexHive).
  * d/copyright: delete bullseye environment that upstream ships (??).
  * d/patches:
    - upstream/appservice-include.patch: drop, merged upstream.
    - upstream/lens-include.patch: drop, merged upstream.
    - upstream/mojo-bindings-include.patch: drop, merged upstream.
    - upstream/ninja.patch: drop, merged upstream.
    - upstream/no-vector-consts.patch: drop, merged upstream.
    - upstream/vulkan-include.patch: drop, merged upstream.
    - system/clang-format.patch: drop it; we broke it some time ago, and
      didn't notice. Guess we don't need it?
    - bookworm/clang16.patch: refresh.
    - fixes/bad-font-gc00000.patch: refresh
    - fixes/bad-font-gc11.patch: refresh
    - fixes/bad-font-gc2.patch: refresh
    - disable/signin.patch: refresh
    - upstream/quiche-deque.patch: gcc build fix pulled from upstream.
    - upstream/gpu-header.patch: add header build fix from upstream.
    - upstream/blink-header.patch: add header build fix from upstream.
    - upstream/blink-header2.patch: add header build fix from upstream.
    - upstream/blink-header3.patch: add header build fix from upstream.
    - upstream/realtime-reporting.patch: gcc build fix from upstream.
    - upstream/urlvisit-header.patch: add header build fix from upstream.
    - upstream/accessibility-format.patch: gcc build fix from upstream.
    - bookworm/urlhelper-ctor.patch: work around a clang-16 bug; add an
      explicit constructor.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - sandbox/0008-sandbox-fix-ppc64le-glibc234.patch: Modify for upstream
      changes
    - third_party/0002-Add-PPC64-generated-files-for-boringssl.patch: Modify
      for upstream changes
    - libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch: Refresh
      for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Thu, 13 Jun 2024 21:31:56 -0400
