## chromium 126.0.6478.114~linuxmint1+elsie

=== debian/changelog ===
chromium (126.0.6478.114~linuxmint1+elsie) unstable; urgency=medium

  * 126.0.6478.114

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Jun 2024 23:27:13 +0100

chromium (126.0.6478.61~linuxmint1) unstable; urgency=medium

  * 126.0.6478.61

 -- Linux Mint <root@linuxmint.com>  Thu, 13 Jun 2024 21:12:00 +0100

chromium (126.0.6478.55~linuxmint1) unstable; urgency=medium

  * 126.0.6478.55

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Jun 2024 20:18:12 +0100

chromium (125.0.6422.141~linuxmint1) unstable; urgency=medium

  * 125.0.6422.141

 -- Linux Mint <root@linuxmint.com>  Thu, 30 May 2024 22:13:12 +0100

chromium (125.0.6422.112~linuxmint1) unstable; urgency=medium

  * 125.0.6422.112

 -- Linux Mint <root@linuxmint.com>  Fri, 24 May 2024 00:12:12 +0100
