## chromium 126.0.6478.114~linuxmint1+faye

=== debian/changelog ===
chromium (126.0.6478.114~linuxmint1+faye) unstable; urgency=medium

  * 126.0.6478.114

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Jun 2024 23:27:13 +0100
