## chromium 126.0.6478.126~linuxmint1+elsie

=== debian/changelog ===
chromium (126.0.6478.126~linuxmint1+elsie) unstable; urgency=medium

  * 126.0.6478.126

 -- Linux Mint <root@linuxmint.com>  Mon, 24 Jun 2024 21:38:01 +0100

chromium (126.0.6478.114~linuxmint1) unstable; urgency=medium

  * 126.0.6478.114

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Jun 2024 23:27:13 +0100
