## chromium 126.0.6478.126~linuxmint1+wilma

=== debian/changelog ===
chromium (126.0.6478.126~linuxmint1+wilma) unstable; urgency=medium

  * 126.0.6478.126

 -- Linux Mint <root@linuxmint.com>  Mon, 24 Jun 2024 21:38:01 +0100
