=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
-export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++ -I/usr/lib/llvm-16/include/c++/v1
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++ -Wl,-rpath,/usr/lib/llvm-16/lib
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
@@ -44,6 +44,7 @@
 export RUSTC_BOOTSTRAP=1
 export CLANG_MVERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p' | cut -d. -f1)"
 defines+=rust_sysroot_absolute=\"/usr\"
+defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
 defines+=rustc_version=\"$(shell rustc --version)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -69,7 +70,6 @@
 
 # disabled features
 defines+=is_debug=false \
-         use_goma=false \
          use_sysroot=false \
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
@@ -135,7 +135,17 @@
 		}; \
 	fi
 
-override_dh_auto_configure: test_armhf_neon
+set_up_bindgen:
+	# Bookworm's bindgen is too old. This is a workaround using the
+	# packages from
+	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
+	# are new enough to build chromium but old enough to not be linked against
+	# Trixie's libc6 2.38
+	mkdir -p debian/bindgen/root
+	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
+	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
+
+override_dh_auto_configure: test_armhf_neon set_up_bindgen
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -181,6 +191,7 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
+	rm -rf debian/bindgen/root
 	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
@@ -205,24 +216,13 @@
 
 get-orig-source:
 	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
-	cp /usr/share/perl5/Devscripts/MkOrigtargz.pm debian/scripts/mk-origtargz
-	patch -p1 < debian/scripts/mk-origtargz.patch
 	@date +%s > $(seconds)
-	perl debian/scripts/mk-origtargz ../$(tarball) > $(removed)
+	# TODO: use `grep-dctrl -F Files-Excluded '' -s Files-Excluded debian/copyright` instead (from jochensp)
+	perl debian/scripts/get-excludes.pl "`tar tf ../$(tarball) | head -n1`" > $(debvers).excludes
 	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	@echo
 	test ! -e $(extract) || rm -rf $(extract)
-	tar xf ../$(tarball)
+	tar --exclude-from=$(debvers).excludes -xf ../$(tarball)
 	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	@echo
-	while read line; do rm -rf $$line; done < $(removed)
-	cd $(extract) && ../debian/scripts/check-upstream
-	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	@echo
-	test ! -e $(origtxz) || rm -f $(origtxz)
-	tar $(options) -cf - $(extract) | xz -6 -T0 - > $(origtxz)
-	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	@echo
-	rm -rf $(extract)
-	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
-	@mv -f seconds $(seconds)
+	rm -f $(debvers).excludes
