## chromium 127.0.6533.99~linuxmint1+elsie

=== debian/changelog ===
chromium (127.0.6533.99~linuxmint1+elsie) unstable; urgency=medium

  * 127.0.6533.99

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Aug 2024 19:27:22 +0100

chromium (127.0.6533.88~linuxmint1) unstable; urgency=medium

  * 127.0.6533.88

 -- Linux Mint <root@linuxmint.com>  Tue, 30 Jul 2024 21:13:13 +0100

chromium (127.0.6533.72~linuxmint1) unstable; urgency=medium

  * 127.0.6533.72

 -- Linux Mint <root@linuxmint.com>  Wed, 24 Jul 2024 15:18:12 +0100

chromium (126.0.6478.182~linuxmint1) unstable; urgency=medium

  * 126.0.6478.182

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Jul 2024 21:54:13 +0100

chromium (126.0.6478.126~linuxmint1) unstable; urgency=medium

  * 126.0.6478.126

 -- Linux Mint <root@linuxmint.com>  Sat, 06 Jul 2024 18:43:32 +0100

chromium (126.0.6478.126~linuxmint2) unstable; urgency=medium

  * 126.0.6478.126

 -- Linux Mint <root@linuxmint.com>  Fri, 05 Jul 2024 02:53:44 +0100
