## chromium 128.0.6613.84~linuxmint1+faye

=== debian/changelog ===
chromium (128.0.6613.84~linuxmint1+faye) unstable; urgency=medium

  * 128.0.6613.84

 -- Linux Mint <root@linuxmint.com>  Wed, 21 Aug 2024 22:04:23 +0100

chromium (127.0.6533.119~linuxmint1) unstable; urgency=medium

  * 127.0.6533.119

 -- Linux Mint <root@linuxmint.com>  Tue, 13 Aug 2024 20:42:21 +0100

chromium (127.0.6533.99~linuxmint1) unstable; urgency=medium

  * 127.0.6533.99

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Aug 2024 19:27:22 +0100
