## chromium 128.0.6613.84~linuxmint1+wilma

=== debian/changelog ===
chromium (128.0.6613.84~linuxmint1+wilma) unstable; urgency=medium

  * 128.0.6613.84

 -- Linux Mint <root@linuxmint.com>  Wed, 21 Aug 2024 22:04:23 +0100
