## chromium 128.0.6613.84

=== debian/changelog ===
chromium (128.0.6613.84-1deepin1) UNRELEASED; urgency=medium

  * Apply deepin/libxml-parseerr.patch.
    Allow chromium to build on libxml2 (2.9.x)
  * Apply highway-blink.patch

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 28 Aug 2024 10:56:36 +0800

chromium (128.0.6613.84-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2024-7964: Use after free in Passwords. Reported by Anonymous.
    - CVE-2024-7965: Inappropriate implementation in V8. Reported by TheDog.
    - CVE-2024-7966: Out of bounds memory access in Skia.
      Reported by Renan Rios (@HyHy100).
    - CVE-2024-7967: Heap buffer overflow in Fonts.
      Reported by Tashita Software Security.
    - CVE-2024-7968: Use after free in Autofill.
      Reported by Han Zheng (HexHive).
    - CVE-2024-7969: Type Confusion in V8.
      Reported by CFF of Topsec Alpha Team.
    - CVE-2024-7971: Type confusion in V8. Reported by Microsoft Threat
      Intelligence Center (MSTIC), Microsoft Security Response Center (MSRC).
    - CVE-2024-7972: Inappropriate implementation in V8.
      Reported by Simon Gerst (intrigus-lgtm).
    - CVE-2024-7973: Heap buffer overflow in PDFium. Reported by soiax.
    - CVE-2024-7974: Insufficient data validation in V8 API.
      Reported by bowu(@gocrashed).
    - CVE-2024-7975: Inappropriate implementation in Permissions.
      Reported by Thomas Orlita.
    - CVE-2024-7976: Inappropriate implementation in FedCM.
      Reported by Alesandro Ortiz.
    - CVE-2024-7977: Insufficient data validation in Installer.
      Reported by Kim Dong-uk (@justlikebono).
    - CVE-2024-7978: Insufficient policy enforcement in Data Transfer.
      Reported by NDevTK.
    - CVE-2024-7979: Insufficient data validation in Installer.
      Reported by VulnNoob.
    - CVE-2024-7980: Insufficient data validation in Installer.
      Reported by VulnNoob.
    - CVE-2024-7981: Inappropriate implementation in Views.
      Reported by Thomas Orlita.
    - CVE-2024-8033: Inappropriate implementation in WebApp Installs.
      Reported by Lijo A.T.
    - CVE-2024-8034: Inappropriate implementation in Custom Tabs.
      Reported by Bharat (mrnoob).
    - CVE-2024-8035: Inappropriate implementation in Extensions.
      Reported by Microsoft.
  * d/copyright: delete third_party/siso/ which contains binaries.
  * d/rules: set safe_browsing_use_unrar=false to disable unrar.
  * d/patches:
    - fixes/blink-frags.patch: drop, merged upstream.
    - fixes/stats-collector.patch: drop, upstream deleted broken code.
    - fixes/chromium-browser-ui-missing-deps.patch: drop, fixed upstream.
    - upstream/armhf-ftbfs.patch: drop, merged upstream.
    - upstream/containers-header.patch: drop, merged upstream.
    - upstream/crabbyav1f.patch: drop, merged upstream.
    - upstream/lock-impl.patch: drop, merged upstream.
    - upstream/paint-layer-header.patch: drop, merged upstream.
    - disable/unrar.patch: drop, merged upstream w/ build arg.
    - bookworm/nvt.patch: drop, no longer needed.
    - fixes/ps-print.patch: refresh.
    - system/openjpeg.patch: refresh.
    - bookworm/clang16.patch: refresh & remove another unsupported option.
    - bookworm/constexpr.patch: refresh & add more fixes.
    - bookworm/lex-3way.patch: pull in another STL function from clang-17.
    - bookworm/blink-attrib.patch: add build fix to reorder __attribute__.
    - fixes/highway-include-path.patch: upstream fixed the original issue
      in a broken way, making this worse. Add more to this patch to work
      around that.

  [ Daniel Richard G. ]
  * d/rules: Parameterize Rust sysroot to simplify using a different one.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/dawn-fix-typos.patch: Refresh for upstream changes
    - third_party/use-sysconf-page-size-on-ppc64.patch: Refresh for upstream
      changes
    - third_party/0002-Add-PPC64-generated-files-for-boringssl.patch:
      Refresh for upstream changes
    - workarounds/HACK-debian-clang-disable-base-musttail.patch: Disable
      musttail on ppc64el platforms

 -- Andres Salomon <dilinger@debian.org>  Thu, 22 Aug 2024 14:06:28 -0400

chromium (127.0.6533.119-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
  * d/patches/upstream/armhf-ftbfs.patch: armhf FTBFS fix from upstream.

  [ Daniel Richard G. ]
  * d/patches:
    - ppc64le/crashpad/0002-Include-cstddef-to-fix-build.patch: Drop, as
      the original FTBFS that this fixed is no longer reproducible.
    - ppc64le/fixes/fix-different-data-layouts.patch: Fix ppc64el FTBFS due
      to minor LLVM data-layout clash between older clang and newer rustc.
  * d/rules: Add to ppc64el CXXFLAGS to quash copious AltiVec warnings.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 Aug 2024 13:11:25 -0400

chromium (127.0.6533.99-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-7532: Out of bounds memory access in ANGLE.
      Reported by wgslfuzz.
    - CVE-2024-7533: Use after free in Sharing. Reported by
      lime(@limeSec_) from TIANGONG Team of Legendsec at QI-ANXIN Group.
    - CVE-2024-7550: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2024-7534: Heap buffer overflow in Layout.
      Reported by Tashita Software Security.
    - CVE-2024-7535: Inappropriate implementation in V8.
      Reported by Tashita Software Security.
    - CVE-2024-7536: Use after free in WebAudio.
      Reported by Cassidy Kim(@cassidy6564).

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - core/add-ppc64-architecture-to-extensions.diff: Fix runtime assertion
      trap on ppc64el systems

  [ Daniel Richard G. ]
  * Enable ThinLTO (slower linking, faster runtime) on archs that can
    support it (closes: #1033305).
  * Avoid some hard-coded Debian references to simplify package builds for
    other distributions, e.g. Ubuntu.
  * d/patches:
    - bookworm/constexpr.patch: Add no_destroy attributes to quash many

