=== debian/control ===
--- 
+++ 
@@ -17,7 +17,10 @@
  clang-16,
  clang-format-16,
  libclang-rt-16-dev,
- rustc-web,
+ libc++-16-dev,
+ libc++abi-16-dev,
+ rustc (>= 1.70.0+dfsg1-5),
+ bindgen,
  python3,
  pkg-config,
  ninja-build,
@@ -77,11 +80,8 @@
  libpam0g-dev,
  libdouble-conversion-dev,
  libxnvctrl-dev,
- libwoff-dev,
- libsnappy-dev,
  libglib2.0-dev,
  libasound2-dev,
- libjsoncpp-dev,
  libsecret-1-dev,
  libspeechd-dev,
  libminizip-dev,
@@ -98,6 +98,7 @@
  libevdev-dev,
  libgcrypt20-dev,
  libcurl4-openssl-dev,
+ libzstd-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
 
@@ -107,7 +108,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
