=== debian/rules ===
--- 
+++ 
@@ -37,15 +37,21 @@
 # do not optimize away null pointer safety checks
 export CXXFLAGS+=-fno-delete-null-pointer-checks
 
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+# avoid altivec incompatibilities / deprecation warnings
+export CXXFLAGS+=-faltivec-src-compat=mixed -Wno-deprecated-altivec-src-compat
+endif
+
 # disable clang plugins
 defines=clang_use_chrome_plugins=false
 
 # use system rust
 export RUSTC_BOOTSTRAP=1
 export CLANG_MVERS=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
-defines+=rust_sysroot_absolute=\"/usr\"
-defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
-defines+=rustc_version=\"$(shell rustc --version)\"
+rust_sysroot=/usr
+defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
+defines+=rust_bindgen_root=\"/usr\"
+defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
 
@@ -82,6 +88,7 @@
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
          use_unofficial_version_number=false \
+         safe_browsing_use_unrar=false \
          enable_vr=false \
          enable_nacl=false \
          enable_swiftshader=false \
@@ -141,17 +148,7 @@
 		}; \
 	fi
 
-set_up_bindgen:
-	# Bookworm's bindgen is too old. This is a workaround using the
-	# packages from
-	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
-	# are new enough to build chromium but old enough to not be linked against
-	# Trixie's libc6 2.38
-	mkdir -p debian/bindgen/root
-	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
-	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
-
-override_dh_auto_configure: test_armhf_neon set_up_bindgen
+override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -197,7 +194,6 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
-	rm -rf debian/bindgen/root
 	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
@@ -228,3 +224,10 @@
 	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	@echo
 	test ! -e $(extract) || rm -rf $(extract)
+	tar --exclude-from=$(debvers).excludes -xf ../$(tarball)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	rm -f $(debvers).excludes
+	cd $(extract) && ../debian/scripts/check-upstream
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
